ubuntu下安装proxy65

proxy65安装时报错:
exceptions.ImportError: No module named words.protocols.jabber

文档里只说python setup.py install就OK了
解决:
sudo apt-get install python-twisted

———–
post by gmail~

讨论

  1. ym

    apt-get install python-twisted,twisted好像能用来翻墙?看这里:http://obmem.info/?p=729,我的vps装的是centos,博主能否写篇centos vps下,用python-twisted翻墙的文章?

  2. 冥王星2011

    你可以完全按照那篇文章的步骤来,只不过twisted安装步骤按我那片文章来:
    wget http://www.python.org/ftp/python/2.6.6/Python-2.6.6.tar.bz2
    tar jxvf Python-2.6.6.tar.bz2
    cd Python-2.6.6
    ./configure –prefix=/opt/python26
    make
    make install

    cd ..
    #试过10.2.0版本,不能用。。。
    wget http://tmrc.mit.edu/mirror/twisted/Twisted/10.1/Twisted-10.1.0.tar.bz2
    tar jxvf Twisted-10.1.0.tar.bz2
    cd Twisted-10.1.0
    /opt/python26/bin/python setup.py install

    twistd -y src/rproxy.py改成/opt/python26/bin/python /opt/python26/bin/twistd -y src/rproxy.py

  3. ym

    hi.他那边easy_install bitstring
    是什么意思?我运行命令:yum install easy_install,提示没easy_install这个包

  4. 冥王星2011

    不用easy_intall,也不能用,缺的这些源码包可以直接搜索去下源码
    http://code.google.com/p/python-bitstring/
    下载解压之后一般有个 setup.py
    执行/opt/python26/bin/python setup.py install就可以安装上了
    centos自带的python版本太旧,所以不能用yum装

  5. ym

    git-core,python-mako,python-setuptools都用yum install装好了;bitstring和twisted也编译好了。用yum install安装python-openssl,提示没这个包。在这里http://code.google.com/p/python-openssl/没有python-openssl,哪里有python-openssl的源码?

  6. 冥王星2011

    python-mako要从源码装一次,你yum装的是给python24版本用的
    http://www.makotemplates.org/
    openssl的项目在这里:
    https://launchpad.net/pyopenssl
    搜索的时候用google不要用baidu,所有需要的源码都可以搜到

  7. ym

    运行/opt/python26/bin/python /opt/python26/bin/twistd -y src/rproxy.py之后,提示:
    No module named zope.interface
    为何?

  8. 冥王星2011

    wget http://www.zope.org/Products/ZopeInterface/3.3.0/zope.interface-3.3.0.tar.gz
    tar zxvf zope.interface-3.3.0.tar.gz
    cd zope.interface-3.3.0
    /opt/python26/bin/python setup.py install

  9. ym

    又提示没有setuptools,真是搞晕了。博主还是写一个详细的教程吧

  10. ym

    需要安装setuptools这个东西,安装它很简单,先去下载一个脚本: http://peak.telecommunity.com/dist/ez_setup.py 下载完后直接执行它:
    # /opt/python26/bin/python ez_setup.py

    就会帮你把setuptools给装好了。

加入讨论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据